#1-------------------------
ifname <- "DataBrandy.csv"
df<-read.delim(ifname,header=T,sep=",",row.names=1,as.is=TRUE,strip.white=FALSE)
labeldata<-substring(rownames(df),1,2); labeldata
dataNew<-data.frame(labeldata,df)
dataNew[,1]; dataNew[,2]
#2-------------------------
listdata<-tapply(dataNew[,16],dataNew[,1],list); listdata
#3-------------------------
mean(listdata)
unlist(listdata); mean(unlist(listdata))
unlist(listdata[1]); mean(unlist(listdata[1]))
unlist(listdata[2]); mean(unlist(listdata[2]))
unlist(listdata[3]); mean(unlist(listdata[3]))